intel 2023.2.1

This commit is contained in:
edoapra 2023-09-28 18:28:08 -07:00
parent 134e785e12
commit ca9159f286
No known key found for this signature in database
GPG key ID: 48E12DA1EDE9E1B0

View file

@ -198,15 +198,16 @@ if [[ "$os" == "Linux" ]]; then
rm -rf $IONEAPI_ROOT/compiler/latest/linux/lib/oclfpga
rm -f ./"$hpc".sh ./"$base".sh
#Critical updates for 2023.2
# wget https://registrationcenter-download.intel.com/akdlm/IRC_NAS/0d65c8d4-f245-4756-80c4-6712b43cf835/l_fortran-compiler_p_2023.2.1.8.sh
# sh l_fortran-compiler_p_2023.2.1.8.sh -a -c -s --action install --install-dir $IONEAPI_ROOT --components intel.oneapi.lin.ifort-compiler --eula accept
# wget https://registrationcenter-download.intel.com/akdlm/IRC_NAS/ebf5d9aa-17a7-46a4-b5df-ace004227c0e/l_dpcpp-cpp-compiler_p_2023.2.1.8.sh
# sh l_dpcpp-cpp-compiler_p_2023.2.1.8.sh -a -s --install-dir $IONEAPI_ROOT --eula accept
wget https://registrationcenter-download.intel.com/akdlm/IRC_NAS/0d65c8d4-f245-4756-80c4-6712b43cf835/l_fortran-compiler_p_2023.2.1.8.sh
sh l_fortran-compiler_p_2023.2.1.8.sh -a -c -s --action install --install-dir $IONEAPI_ROOT --components intel.oneapi.lin.ifort-compiler --eula accept
wget https://registrationcenter-download.intel.com/akdlm/IRC_NAS/ebf5d9aa-17a7-46a4-b5df-ace004227c0e/l_dpcpp-cpp-compiler_p_2023.2.1.8.sh
sh l_dpcpp-cpp-compiler_p_2023.2.1.8.sh -a -s --install-dir $IONEAPI_ROOT --eula accept
if [[ "$?" != 0 ]]; then
echo "apt-get install failed: exit code " "${?}"
exit 1
fi
rm -f l_*comp*sh || true
rm -rf $IONEAPI_ROOT/compiler/latest/linux/lib/oclfpga || true
source "$IONEAPI_ROOT"/setvars.sh || true
export I_MPI_F90="$FC"
"$FC" -V ; if [[ $? != 0 ]]; then echo "Intel SW install failed"; exit 1; fi